Bug 253375 - ladspa plugin not packaged
ladspa plugin not packaged
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-18 10:43 EDT by Luis Garrido
Modified: 2008-04-29 11:51 EDT (History)
0 users

See Also:
Fixed In Version: 0.10.6-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 12:30:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luis Garrido 2007-08-18 10:43:26 EDT
Description of problem:
Package doesn't include ladspa plugin which belongs to gstreamer's release.

Version-Release number of selected component (if applicable):
gstreamer-plugins-good-0.10.4-3.fc6

How reproducible:
100% reproducible.

Steps to Reproduce:
1. gst-inspect | grep ladspa
2.
3.
  
Actual results:
Nothing.

Expected results:
ladspa plugin should be available.

Additional info:
Some additional dependencies should be added to the package like, for instance,
ladspa-swh-plugins.
To avoid a single package with a huge number of dependencies
gstreamer-plugins-good could be fragmented this way:
- gstreamer-plugins-good-base containing those plugins not depending on external
libraries (those in the gst subfolder of the source tree)
- one package for every plugin dependent on external libraries (e.g.,
gstreamer-plugins-good-ladspa or gstreamer-plugins-good-jpeg, etc.)
- gstreamer-plugins-good-all or simply gstreamer-plugins-good, a meta-package
that includes all the above as dependencies.
Comment 1 Bastien Nocera 2007-08-27 12:13:08 EDT
I'll try and do that tomorrow.
Comment 2 Bastien Nocera 2007-08-28 12:30:48 EDT
The ladspa libs is a whole 37k of deps, so I added those in the main package.
The proper plugins are probably in another package though.

Will be fixed in this build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=134801
Comment 3 Giandomenico De Tullio 2007-11-12 04:46:32 EST
imho it should be removed from -good:

http://webcvs.freedesktop.org/gstreamer/gst-plugins-good/ext/ladspa/?sortby=date#dirlist
http://webcvs.freedesktop.org/gstreamer/gst-plugins-bad/ext/ladspa/?sortby=date#dirlist

See "age" coloumn and "last log entry" (of gstladspa.c from -bad tree ) :/

Comment 4 Giandomenico De Tullio 2008-04-29 11:30:29 EDT
---->  http://bugzilla.gnome.org/show_bug.cgi?id=515978

Please disable/remove that crap from -good !!!
Comment 5 Bastien Nocera 2008-04-29 11:51:32 EDT
(In reply to comment #4)
> ---->  http://bugzilla.gnome.org/show_bug.cgi?id=515978
> 
> Please disable/remove that crap from -good !!!

It will be removed when the next release is released.

Note You need to log in before you can comment on or make changes to this bug.